Get transfer
curl --request GET \
--url https://api.bridg.now/v1/bridge/transfers/{id}const options = {method: 'GET'};
fetch('https://api.bridg.now/v1/bridge/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bridg.now/v1/bridge/transfers/{id}"
response = requests.get(url)
print(response.text){
"fees": [
{
"kind": "platform",
"status": "offered",
"bps": 5,
"amountAtomic": "50000",
"asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"chain": "base",
"wallet": null,
"tierSavedBps": 55,
"txHash": null
}
],
"transferId": "ca0e5dee-be62-4a8d-aab9-3c8762b29281",
"status": "PENDING_SIGNATURE",
"statusDetail": null,
"venue": "across",
"fromChain": "base",
"toChain": "solana",
"fromAsset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"toAsset": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amountInAtomic": "99950000",
"expectedOutAtomic": "99937006",
"minOutAtomic": "99937006",
"receivedAmountAtomic": null,
"receivedAsset": null,
"sourceTxHash": null,
"sourceTxVerification": null,
"destinationTxHash": null,
"feeTxHash": null,
"claim": null,
"postStep": null,
"finalDestination": null,
"requesterWallet": "0x58e602386db134b1f9b1d6d390c11a2b7b486677",
"recipientWallet": "3BQtHR41iDPiu9skeSVzmBDpZKcKqEEDnMn6UkbAHvZz",
"avgSavedBps": 55,
"savedVsWorstBps": 167,
"savingsQuoteCount": 14,
"usdValueBridged": null,
"usdValueSaved": null,
"privacy": false,
"privacyModel": "none",
"buildExpiresAtMs": 1789929586118,
"createdAt": 1789929525969,
"submittedAt": null,
"updatedAt": 1789929525969,
"completedAt": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}Transfers
Get transfer
Read one transfer by id. Open to anyone holding the id. Poll until status is COMPLETED, PARTIAL, REFUNDED, FAILED or ABANDONED.
GET
/
bridge
/
transfers
/
{id}
Get transfer
curl --request GET \
--url https://api.bridg.now/v1/bridge/transfers/{id}const options = {method: 'GET'};
fetch('https://api.bridg.now/v1/bridge/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bridg.now/v1/bridge/transfers/{id}"
response = requests.get(url)
print(response.text){
"fees": [
{
"kind": "platform",
"status": "offered",
"bps": 5,
"amountAtomic": "50000",
"asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"chain": "base",
"wallet": null,
"tierSavedBps": 55,
"txHash": null
}
],
"transferId": "ca0e5dee-be62-4a8d-aab9-3c8762b29281",
"status": "PENDING_SIGNATURE",
"statusDetail": null,
"venue": "across",
"fromChain": "base",
"toChain": "solana",
"fromAsset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"toAsset": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amountInAtomic": "99950000",
"expectedOutAtomic": "99937006",
"minOutAtomic": "99937006",
"receivedAmountAtomic": null,
"receivedAsset": null,
"sourceTxHash": null,
"sourceTxVerification": null,
"destinationTxHash": null,
"feeTxHash": null,
"claim": null,
"postStep": null,
"finalDestination": null,
"requesterWallet": "0x58e602386db134b1f9b1d6d390c11a2b7b486677",
"recipientWallet": "3BQtHR41iDPiu9skeSVzmBDpZKcKqEEDnMn6UkbAHvZz",
"avgSavedBps": 55,
"savedVsWorstBps": 167,
"savingsQuoteCount": 14,
"usdValueBridged": null,
"usdValueSaved": null,
"privacy": false,
"privacyModel": "none",
"buildExpiresAtMs": 1789929586118,
"createdAt": 1789929525969,
"submittedAt": null,
"updatedAt": 1789929525969,
"completedAt": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Response
The transfer
Available options:
verified, pending, unverified_no_rpc, unverified_rpc_error, refuted, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes